Mad Level Manager

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Enumerations Enumerator Properties Events
Public Member Functions | Public Attributes | Protected Member Functions | Properties | List of all members
MadLevelManager.MadLevelIcon Class Reference
Inheritance diagram for MadLevelManager.MadLevelIcon:

## Public Member Functions
void | Activate ()
| Activates this icon. More...
void | ApplyConnections ()
MadLevelProperty.SpecialType | TypeFor (MadLevelProperty property)
void | UpdateProperty (string propertyName, bool state)
void | LoadLevel ()
Public Member Functions inherited from MadLevelManager.MadSprite
virtual Rect | GetBounds ()
virtual Rect | GetTransformedBounds ()
| Returns Transformed (real) bounds translated and scaled by local trasnform.
void | TryFocus ()
void | SetMaterial (string shader, SetupShader setupShader)
virtual bool | CanDraw ()
virtual Material | GetMaterial ()
virtual void | DrawOn (ref MadList< Vector3 > vertices, ref MadList< Color32 > colors, ref MadList< Vector2 > uv, ref MadList< int > triangles, out Material material)
void | DrawOnRegular (ref MadList< Vector3 > vertices, ref MadList< Color32 > colors, ref MadList< Vector2 > uv, ref MadList< int > triangles)
void | DrawOnQuad (ref MadList< Vector3 > vertices, ref MadList< Color32 > colors, ref MadList< Vector2 > uv, ref MadList< int > triangles)
void | ResizeToTexture ()
void | MinMaxDepthRecursively (out int min, out int max)
void | RecalculateLiveBounds ()
void | AnimScale (Vector3 from, Vector3 to, float time, MadiTween.EaseType easing)
void | AnimScaleTo (Vector3 scale, float time, MadiTween.EaseType easing)
void | AnimMove (Vector3 from, Vector3 to, float time, MadiTween.EaseType easing)
void | AnimMoveTo (Vector3 target, float time, MadiTween.EaseType easing)
void | AnimRotate (Vector3 from, Vector3 to, float time, MadiTween.EaseType easing)
void | AnimRotateTo (Vector3 rotation, float time, MadiTween.EaseType easing)
void | AnimColor (Color from, Color to, float time, MadiTween.EaseType easing)
void | AnimColorTo (Color color, float time, MadiTween.EaseType easing)
void | OnTintChange (Color color)
delegate void | Action (MadSprite sprite)
delegate void | SetupShader (Material material)
Public Member Functions inherited from MadLevelManager.MadNode
T | CreateChild< T > (string name)
T | CreateChild< T > (string name, T template)
MadNode | CreateChild (string name, GameObject template)
T | FindParent< T > ()

## Public Attributes
bool | hasLevelConfiguration
int | levelIndex
string | levelSceneName
string | levelArguments
MadLevelProperty | completedProperty
MadLevelProperty | lockedProperty
MadText | levelNumber
bool | canFocusIfLocked = true
List< MadLevelIcon > | unlockOnComplete = new List<MadLevelIcon>()
List< GameObject > | showWhenLevelLocked = new List<GameObject>()
List< GameObject > | showWhenLevelUnlocked = new List<GameObject>()
List< GameObject > | showWhenLevelNotCompleted = new List<GameObject>()
List< GameObject > | showWhenLevelCompleted = new List<GameObject>()
int | version = 0
Public Attributes inherited from MadLevelManager.MadSprite
MadPanel | panel
bool | visible = true
bool | editorSelectable = true
PivotPoint | pivotPoint = PivotPoint.Center
Vector2 | customPivotPoint = new Vector2(0, 0)
Color | tint = Color.white
InputType | inputType = InputType.SingleTexture
Texture2D | texture
Texture2D | lastTexture
MadAtlas | textureAtlas
string | textureAtlasSpriteGUID
string | lastTextureAtlasSpriteGUID
Vector2 | textureOffset
Vector2 | textureRepeat = new Vector2(1, 1)
bool | hasPremultipliedAlpha = false
int | guiDepth
EventFlags | eventFlags = EventFlags.All
float | liveLeft = 0
bool | hasLiveBounds
FillType | fillType
float | fillValue = 1
float | radialFillOffset = 0
float | radialFillLength = 1
Public Attributes inherited from MadLevelManager.MadNode
bool | managed

## Protected Member Functions
override void | OnEnable ()
override void | Update ()
Protected Member Functions inherited from MadLevelManager.MadSprite
virtual void | Start ()
Matrix4x4 | TransformMatrix ()
void | UpdatePivotPoint ()
Vector3 | PivotPointTranslate (Vector3 p, Rect bounds)

## Properties
bool | isTemplate`[get]`
MadLevelConfiguration | configuration`[get, set]`
int | levelGroup`[get, set]`
bool | generated`[get]`
bool | completed`[get, set]`
bool | locked`[get, set]`
List< MadLevelProperty > | properties`[get]`
MadLevelConfiguration.Level | level`[get]`
| Level refrerence. You can get here all information about the referenced level. More...
Properties inherited from MadLevelManager.MadSprite
Texture2D | currentTexture`[get]`
int | currentTextureWidth`[get]`
int | currentTextureHeight`[get]`
Vector2 | initialSize`[get, set]`
Vector2 | size`[get, set]`
bool | hasFocus`[get, set]`
| Gets or sets a value indicating whether this MadSprite has focus. When other sprite is currently focused, it's focus will be lost. More...
Action | onMouseEnter`[get, set]`
Action | onMouseExit`[get, set]`
Action | onTouchEnter`[get, set]`
Action | onTouchExit`[get, set]`
Action | onMouseDown`[get, set]`
Action | onMouseUp`[get, set]`
Action | onTap`[get, set]`
Action | onFocus`[get, set]`
Action | onFocusLost`[get, set]`
Properties inherited from MadLevelManager.MadNode
static bool | Instantiating`[get]`

## Additional Inherited Members
Public Types inherited from MadLevelManager.MadSprite
enum | InputType { SingleTexture, TextureAtlas }
enum | PivotPoint { BottomLeft, TopLeft, TopRight, BottomRight, Left, Top, Right, Bottom, Center, Custom }
enum | FillType { None, LeftToRight, RightToLeft, BottomToTop, TopToBottom, ExpandHorizontal, ExpandVertical, RadialCW, RadialCCW }
enum | EventFlags { None = 0, EventFlags.MouseHover = 1, EventFlags.MouseClick = 2, EventFlags.Touch = 4, EventFlags.Focus = 8, All = 15 }
Protected Attributes inherited from MadLevelManager.MadSprite
float | left

## Member Function Documentation

void MadLevelManager.MadLevelIcon.Activate | ( |  | ) |

Activates this icon.

## Property Documentation

MadLevelConfiguration.Level MadLevelManager.MadLevelIcon.level
| get

Level refrerence. You can get here all information about the referenced level.

The level or null if level or configuration is not set yet.

The documentation for this class was generated from the following file:

- Assets/Mad Level Manager/Scripts/Base/MadLevelIcon.cs